Subject: Re: Checking in on a few things
From: Ashish Dabral <[email-masked]>
To: Rebecca Dybala <[email-masked]>
Cc: Deeksha <[email-masked]>, saurabh <[email-masked]>
Date: Fri, 13 May 2022 07:45:33 -0700 (MST)

Hello Rebecca, 

I hope you are doing well. 

1. These numbers are only for the call center. 

2. The maximum numbers were answered by the call center. However, if our agents were not able to answer the calls within 2 minutes then they were transffered to the Front Desk. I checked the data and 149 calls were answered by the Front Desk. 

3. Abandoned calls - These calls were not reached to the agents. Due to some reasone for example agent was busy on another call, customer hung up before it connects, agent were not available etc. 

I hope this clarifies, kindly let me know if further clearfication is needed. 

Regards, 
Ashish Dabral 

From: "saurabh" <[email-masked]> 
To: "Rebecca Dybala" <[email-masked]> 
Cc: "Deeksha" <[email-masked]>, "Ashish Dabral" <[email-masked]> 
Sent: Friday, May 13, 2022 7:46:29 PM 
Subject: Re: Checking in on a few things 

Ashish 

Please clarify 

Regards, 

Saurabh Dadu 
LiveSalesman 

On 13-May-2022, at 6:32 PM, Rebecca Dybala <[email-masked]> wrote: 

BQ_BEGIN

Hi Saurabh, 
I took a look at the report you sent me and just want to clarify a couple things. 

Are these numbers just for the calls that go to the call center, or are they all calls coming through the main line? 
When I look at the report I see the column of “answered calls” Does that mean they were answered by the call center or both call center and our front desk? 
Lastly, do you know what “abandoned calls” means? 

Just want to make sure I am understanding the report fully. Thank you!!! 

Rebecca Dybala 
HR Manager 
[ mailto:[email-masked] | [email-masked] ] 
508-986-2330 Ext. 105 
201 Turnpike Rd Westborough, MA 01581 
[ http://www.releasewellbeingcenter.com/ | www.releasewellbeingcenter.com ] 

BQ_BEGIN

On May 10, 2022, at 3:28 PM, Rebecca Dybala < [ mailto:[email-masked] | [email-masked] ] > wrote: 

Thank you for getting that to us. I also need to follow-up on one more thing. We had the schedule blocked off for Monday May 30th from 12pm onward as it is memorial day and we are only open for the morning. I’m not sure how or what happened but the blocked of schedule was altered so some bliss and lunch appointments could be booked past 12. Please remind the staff to look closely at the schedule and if they see blocked off times, not to schedule anyone there. If there is any doubt, take down the guests info and call them back once confirming with us. 

Thank you! 

Rebecca Dybala 
HR Manager 
[ mailto:[email-masked] | [email-masked] ] 
508-986-2330 Ext. 105 
201 Turnpike Rd Westborough, MA 01581 
[ http://www.releasewellbeingcenter.com/ | www.releasewellbeingcenter.com ] 

BQ_BEGIN

On May 10, 2022, at 11:39 AM, Saurabh Dadu < [ mailto:[email-masked] | [email-masked] ] > wrote: 

Dear Rebecca, 

Apologies for the delay in sending you the volume analysis. 

Attached is the report we downloaded from WeStream. 

We see feel that the current staffing levels are sufficient for current volumes and coverages. 

For the points about Pregnant guests as well as gaps in schedule, I will address with the team. 

Saurabh Dadu 
LiveSalesman 
India: +91 120 4332621 x 17 
US: 1 240 949 2437 
Cell: +91 9810175203 

From: Rebecca Dybala < [ mailto:[email-masked] | [email-masked] ] > 
Sent: 10 May 2022 9:01 PM 
To: Saurabh Dadu < [ mailto:[email-masked] | [email-masked] ] >; Deeksha Dadu < [ mailto:[email-masked] | [email-masked] ] >; Rona Galangi < [ mailto:[email-masked] | [email-masked] ] > 
Subject: Checking in on a few things 
Hi Team, 

I wanted to check in on a few things 

1: We are still waiting to hear back from you on the call volume evaluation we requested a couple weeks back. We would really like to compare call volume to the current schedule of call center staff and make any adjustments as needed. 

2: Please remind the call center staff that any pregnant woman who is still in her 1st trimester cannot receive a massage. If someone calls and states they are pregnant, the staff should ask her what trimester she is in. If she states the 1st, then kindly let her know that we do not book massages during the first trimester but will be happy to accommodate once she is in the 2nd. If she states the 2nd or 3rd trimester, than you can schedule as you normally would. We have unfortunately had a few women show up for services that we could not provide. 

3: Please continue to be mindful of gaps in the schedule. I am noticing a lot of staggered appointments in the incorrect times. As a rule of thumb, please always the schedule the massage or facial first and then schedule bliss around it. A lot of these appointments are scheduled to accommodate bliss, but then that leaves large gaps in the providers schedule where we cannot schedule anything else. Below is a screenshot for reference. 
I circled where the gaps are and put a red x where there should be room for additional appointments but due to the gaps cannot be booked because there is not enough time. In this instance there are three hour long appointments that will not be able to be booked. Please make sure that this is closely monitored as we are shorting both Release and the providers and turning away guests. 

Thank you! 

Rebecca Dybala 
HR Manager 
[ mailto:[email-masked] | [email-masked] ] 
508-986-2330 Ext. 105 
201 Turnpike Rd Westborough, MA 01581 
[ http://www.releasewellbeingcenter.com/ | www.releasewellbeingcenter.com ] 

<Release report 28th March to 28th April.xlsx> 

BQ_END

BQ_END

BQ_END